/*
 * $Id: DccmServer.cs 258 2007-06-02 06:54:08Z lloydd $
 */
 
using System;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;
using System.Reflection;
using Mono.Unix;
using Mono.GetOptions;
using NDesk.DBus;
using org.freedesktop.DBus;

namespace Dccm
{
   public class DccmServer
   {
      TcpListener server = null;
      
      public DccmServer ()
      {
         server = new TcpListener (IPAddress.Any, 5679);
         
         server.Start ();
         
         new Thread (new ThreadStart (Handler)).Start ();
      }
      
      public void Handler ()
      {
         while (true) {
            TcpClient client = server.AcceptTcpClient ();
            DccmConnection conn = new DccmConnection (client);
            new Thread (new ThreadStart (conn.Handler)).Start ();
         }
      }
   }
}
